## com.lowagie.bc.asn1
Class DERNumericString

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.DERNumericString

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

public class DERNumericString
extends DERObject
implements DERString

DER NumericString object - this is an ascii string of characters {0,1,2,3,4,5,6,7,8,9, }.

Field Summary
`(package private) String` `string`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERNumericString(byte[] string)` basic constructor - with bytes.
`DERNumericString(String string)` basic constructor - with string.

Method Summary
`(package private) void` `encode(DEROutputStream out)`
`boolean` `equals(Object o)`
`static DERNumericString` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Numeric String from a tagged object.
`static DERNumericString` `getInstance(Object obj)` return a Numeric string from the passed in object
`byte[]` `getOctets()`
`String` `getString()`
`int` `hashCode()`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### string

    String string

Constructor Detail

### DERNumericString

    public DERNumericString(byte[] string)

  basic constructor - with bytes.

### DERNumericString

    public DERNumericString(String string)

  basic constructor - with string.

Method Detail

### getInstance

    public static DERNumericString getInstance(Object obj)

  return a Numeric string from the passed in object

  Throws:
    `IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERNumericString getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

  return an Numeric String from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public String getString()

  Specified by:
    `getString` in interface `DERString`

### getOctets

    public byte[] getOctets()

### encode

    void encode(DEROutputStream out)
          throws IOException

  Specified by:
    `encode` in class `DERObject`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)